%define name php-pear-Net_URL
%define rname Net_URL
%define version 1.0.14
%define rversion 1.0.14
%define release 1mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: Easy parsing of Url
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   BSD
Group:     Development/Other
Url:       http://pear.php.net/package/Net_URL
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
%description
Provides easy parsing of URLs and their constituent parts.

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/Net
cp URL.php $RPM_BUILD_ROOT%{pear_phpdir}/Net/URL.php
mkdir -p $RPM_BUILD_ROOT%{pear_docdir}/Net//docs
cp docs/example.php $RPM_BUILD_ROOT%{pear_docdir}/Net//docs/example.php

find $RPM_BUILD_ROOT -type f -exec sed -i 's|^#!/usr/local/bin/php|#!/usr/bin/php|' {} \;
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_phpdir}/Net
%dir %{pear_docdir}/Net//docs
%{pear_phpdir}/Net/URL.php
%{pear_docdir}/Net//docs/example.php
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.0.14-1mdk

- First mdk package

